<?php
/**
 * Firm Graphy Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Firm Graphy Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function firm_graphy_pro_custom_colors_css() {
  	$options= firm_graphy_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Background Color
	--------------------------------------------------------------*/
	.main-navigation ul.sub-menu li:hover > a,
	.main-navigation ul.sub-menu li:focus > a,
	.btn-transparent:hover,
	.btn-transparent:focus,
	.btn.btn-default,
	.btn-primary:hover,
	.btn-primary:focus,
	article.project-slider-wrapper:hover .slider-content,
	.slick-prev:hover,
	.slick-next:hover,
	.slick-prev:focus,
	.slick-next:focus,
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	.backtotop,
	article.project-slider-wrapper:hover,
	.single-wrapper #respond input[type="submit"]:hover,
	.single-wrapper #respond input[type="submit"]:focus {
		background-color: '. esc_attr( $color_value ) .';
	}
	.tp-horizontalbar .tp-skills-horizontalbar .inner-fill {
		background-color: '. esc_attr( $color_value ) .' !important;
	}

	/*--------------------------------------------------------------
	## Text Color
	--------------------------------------------------------------*/
	.site-title a:hover,
	.main-navigation ul#primary-menu li.current-menu-item > a, 
	.main-navigation a:hover, 
	.main-navigation a:focus, 
	.main-navigation ul.nav-menu > li > a:hover, 
	.main-navigation ul.nav-menu > li > a:focus,
	#services .entry-title a:hover,
	.education-wrapper .entry-title a:hover,
	.testimonial-item-wrapper .entry-title a:hover,
	.entry-meta .posted-on a,
	.slick-dots li.slick-active button:before,
	.cat-links a,
	.btn-primary,
	.posts-wrapper article .entry-container .entry-title a:hover,
	.posts-wrapper article .entry-container .entry-title a:focus,
	.byline a:hover,
	#blog .posted-on a:hover,
	.byline a:focus,
	#blog .posted-on a:focus,
	.cat-links,
	.posts-wrapper .posted-on a:hover,
	.posts-wrapper .posted-on a:focus,
	.single-wrapper .posted-on a:hover,
	.single-wrapper .posted-on a:focus,
	ul.address-block li a:hover,
	#colophon .widget-title,
	#colophon .widgettitle,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a,
	#colophon .site-info a:hover,
	#colophon .site-info a:focus,
	.icon-container .fa:hover,
	#services .entry-title a:hover,
	.education-wrapper .entry-meta span,
	span.cat-links a,
	#blog ul.post-categories li a,
	input[type="submit"],
	#respond input[type="submit"],
	.byline a,
	.blog .post-categories li a,
	.search .post-categories li a,
	.archive .post-categories li a,
	.entry-meta > span:not(:last-child):after,
	#secondary .widget_latest_post ul li a,
	#secondary .widget_latest_post ul li h3 a:hover,
	.single-wrapper span.tags-links a,
	span.edit-link a,
	p.logged-in-as a,
	.trail-items li a:hover,
	.trail-items li a:focus,
	.post-navigation a:hover span,
	.posts-navigation a:hover span,
	#secondary .widget ul li a:hover,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.single .post-categories li a {
	    color: '. esc_attr( $color_value ) .';
	}

	span.cat-links a:hover,
	#blog ul.post-categories li a:hover,
	.blog .post-categories li a:hover,
	.search .post-categories li a:hover,
	.archive .post-categories li a:hover,
	.posts-wrapper .posted-on a:hover,
	.byline a:hover,
	.single-post-wrapper .entry-meta span.byline a:hover,
	span.edit-link a:hover,
	p.logged-in-as a:hover,
	.single .post-categories li a:hover {
		color: #2a2e43;
	}
	.single-wrapper #respond input[type="submit"]:hover,
	.single-wrapper #respond input[type="submit"]:focus {
		color: #fff;
	}

	/*--------------------------------------------------------------
	## Svg Color
	--------------------------------------------------------------*/
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.icon-container svg:hover,
	.education-wrapper .icon-container svg,
	.rating.active-4 svg:not(:last-child),
	.rating.active-3 svg,
	.rating.active-2 svg,
	.rating.active-2 svg:nth-last-child(-n+3),
	.rating.active-3 svg:nth-last-child(-n+2),
	.rating.active-5 svg,
	.social-icons li a svg:hover,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:hover svg,
	.loader-container svg {
		fill: '. esc_attr( $color_value ) .';
	}

	.btn-primary,
	span.cat-links a,
	#blog ul.post-categories li a,
	input[type="submit"],
	#respond input[type="submit"],
	.blog .post-categories li a,
	.search .post-categories li a,
	.archive .post-categories li a,
	.single-wrapper span.tags-links a,
	.education-wrapper .icon-container,
	.single .post-categories li a {
	    background-color: rgba(29, 91, 189, 0.1);
	}
	.btn.btn-transparent:hover,
	.btn.btn-default:hover {
		border-color: '. esc_attr( $color_value ) .' !important;
	}

	/*--------------------------------------------------------------
	## Border Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1024px) {
		.main-navigation form.search-form {
		    border: 10px solid '. esc_attr( $color_value ) .';
		}
		#search:before {
			border-bottom: 9px solid '. esc_attr( $color_value ) .'; 
		}
		.classic-menu .main-navigation ul ul li:hover {
		    border: 1px solid '. esc_attr( $color_value ) .';
		}
		.modern-menu .main-navigation ul#primary-menu ul li:hover > a {
			color: '. esc_attr( $color_value ) .';
		}
	}

	@media screen and (max-width: 1024px) {
		.main-navigation ul.sub-menu li:hover > a {
			background-color: '. esc_attr( $color_value ) .';
		}
		.main-navigation ul#primary-menu ul.sub-menu li:hover > a {
			color: #fff;
		}
	}


	@keyframes defaultpreloader {
	    0% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    25% {height:30px;transform:translateY(15px);background: '. esc_attr( $color_value ) .';}
	    50% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    100% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	}
	';

	/**
	 * Filters Firm Graphy Pro custom colors CSS.
	 *
	 * @since Firm Graphy Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'firm_graphy_pro_custom_colors_css', $css );
}
