<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Firm Graphy Pro
 * @since Firm Graphy Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'firm_graphy_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','firm-graphy-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'firm-graphy-pro' ),
	'panel'               => 'firm_graphy_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'firm_graphy_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'firm_graphy_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Firm_Graphy_Pro_Customize_Sortable_Control ( $wp_customize, 'firm_graphy_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'firm-graphy-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'firm-graphy-pro' ),
	'section'             => 'firm_graphy_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => firm_graphy_pro_sortable_sections(),
) ) );